/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */

package org.ow2.jonas.admin.osgiconsole.business {

import mx.controls.Alert;

import org.ow2.kerneos.common.business.AbsDelegateResponder;

public class ObrDelegate extends AbsDelegateResponder {

    private var service:Object = null;

    public function ObrDelegate() {
        super();
        service = OSGiConsole.getInstance().getServices().getRemoteObject("obrService");
        if (service == null) {
            Alert.show("ObrDelegate: Cannot get service", "ERROR");
        }
    }

    public function handle(action:String, path:String):void {
        var call:Object;
        if (action == "start") {
            call = service.start(path);
        }
        else if (action == "deploy") {
            call = service.deploy(path);
        }
        else if (action == "info") {
            call = service.info(path);
        }
        else if (action == "add") {
            call = service.add(path);
        }
        else if (action == "create") {
            call = service.create();
        }
        else if (action == "remove") {
            call = service.remove(path);
        }
        else if (action == "refresh") {
            call = service.refresh(path);
        } else {
            Alert.show("ObrDelegate: Bad action: " + action);
            return;
        }
        call.addResponder(this.responder);
    }

}
}