/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */

package org.ow2.jonas.admin.osgiconsole.command {
import com.adobe.cairngorm.commands.ICommand;
import com.adobe.cairngorm.control.CairngormEvent;

import mx.collections.ArrayCollection;
import mx.controls.Alert;
import mx.rpc.IResponder;
import mx.rpc.events.ResultEvent;

import org.ow2.jonas.admin.osgiconsole.business.ServiceDelegate;
import org.ow2.jonas.admin.osgiconsole.model.OSGiConsoleModelLocator;

public class ServiceInfoCommand implements IResponder,ICommand {
    private var model:OSGiConsoleModelLocator = OSGiConsole.getInstance().getModel();

    public function ServiceInfoCommand() {
    }

    public function execute(event:CairngormEvent):void {
        var delegate:ServiceDelegate = model.serviceDelegate;
        delegate.responder = this;
        delegate.getServiceList();
    }

    public function result(event:Object):void {
        var resultEvent:ResultEvent = event as ResultEvent;
        var a:ArrayCollection = resultEvent.result as ArrayCollection;
        [ArrayElementType(ServiceInfoVO)]
        var services:ArrayCollection = model.services;
        services.removeAll();
        services.addAll(a);
    }

    public function fault(info:Object):void {
        Alert.show(info.result);
    }
}
}