/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */

package org.ow2.jonas.admin.osgiconsole.control {
import com.adobe.cairngorm.control.CairngormEventDispatcher;
import com.adobe.cairngorm.control.FrontController;

import org.ow2.jonas.admin.osgiconsole.command.*;
import org.ow2.jonas.admin.osgiconsole.event.*;

public class Controller extends FrontController {
    /**
     * Create an instance of the controller.
     */
    public function Controller(dispatcher:CairngormEventDispatcher) {
        super(dispatcher);
    }

    /**
     * Add all the commands to the pool of commands.
     */
    public function initialiseCommands():void {
        this.addCommand(BundleInfoEvent.EVENT_GET_BUNDLE_LIST, BundleInfoCommand);
        this.addCommand(BundleInfoUpdateEvent.EVENT_UPDATE_BUNDLE_LIST, BundleInfoUpdateCommand);
        this.addCommand(BundleInstallEvent.EVENT_INSTALL_BUNDLE, BundleInstallCommand);
        this.addCommand(BundleActionEvent.EVENT_ACTION_BUNDLE, BundleActionCommand);
        this.addCommand(ShellEvent.EVENT_SHELL, ShellCommand);
        this.addCommand(ServiceInfoEvent.EVENT_GET_SERVICE_LIST, ServiceInfoCommand);
        this.addCommand(ServiceSelectedEvent.EVENT_SERVICE_SELECTED, ServiceSelectedCommand);
        this.addCommand(OBRRepoEvent.EVENT_REPO_OBR, OBRRepoCommand);
        this.addCommand(OBRRepoActionEvent.EVENT_ACTION_REPO_OBR, OBRRepoActionCommand);
        this.addCommand(ErrorUpdateEvent.EVENT_UPDATE_ERROR, ErrorUpdateCommand);
    }

    public function removeCommands():void {
        removeCommand(BundleInfoEvent.EVENT_GET_BUNDLE_LIST);
        removeCommand(BundleInfoUpdateEvent.EVENT_UPDATE_BUNDLE_LIST);
        removeCommand(BundleInstallEvent.EVENT_INSTALL_BUNDLE);
        removeCommand(BundleActionEvent.EVENT_ACTION_BUNDLE);
        removeCommand(ShellEvent.EVENT_SHELL);
        removeCommand(ServiceInfoEvent.EVENT_GET_SERVICE_LIST);
        removeCommand(ServiceSelectedEvent.EVENT_SERVICE_SELECTED);
        removeCommand(OBRRepoEvent.EVENT_REPO_OBR);
        removeCommand(OBRRepoActionEvent.EVENT_ACTION_REPO_OBR);
        removeCommand(ErrorUpdateEvent.EVENT_UPDATE_ERROR);
    }
}
}