/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */

package org.ow2.jonas.admin.osgiconsole.model {
import com.adobe.cairngorm.model.ModelLocator;

import mx.collections.ArrayCollection;

import org.ow2.jonas.admin.osgiconsole.business.BundleDelegate;
import org.ow2.jonas.admin.osgiconsole.business.ObrDelegate;
import org.ow2.jonas.admin.osgiconsole.business.ServiceDelegate;
import org.ow2.jonas.admin.osgiconsole.business.ShellDelegate;
import org.ow2.jonas.admin.osgiconsole.view.ShellView;
import org.ow2.jonas.admin.osgiconsole.vo.BundleInfoVO;
import org.ow2.jonas.admin.osgiconsole.vo.ServiceInfoVO;

[Bindable]
public class OSGiConsoleModelLocator implements ModelLocator {
    public var bundleDelegate:BundleDelegate = null;
    public var shellDelegate:ShellDelegate = null;
    public var serviceDelegate:ServiceDelegate = null;
    public var obrDelegate:ObrDelegate = null;

    private var dummy1:BundleInfoVO = new BundleInfoVO(); // force compilation
    private var dummy2:ServiceInfoVO = new ServiceInfoVO(); // force compilation

    [ArrayElementType(BundleInfoVO)]
    public var bundles:ArrayCollection = null;
    [ArrayElementType(ServiceInfoVO)]
    public var services:ArrayCollection = null;
    public var shelltext:String = null;
    public var serviceInfo:String = null;
    public var obrInfo:String = null;
    public var obrRepo:XML = null;
    public var shellView:ShellView = null;

    public function OSGiConsoleModelLocator() {
        bundleDelegate = new BundleDelegate();
        shellDelegate = new ShellDelegate();
        serviceDelegate = new ServiceDelegate();
        obrDelegate = new ObrDelegate();

        bundles = new ArrayCollection();
        services = new ArrayCollection();
        shelltext = "";
        serviceInfo = "";
        obrInfo = "";
    }
}
}